IT技術にまつわる実験ノート

「長編を書くより、短編を数多く完成させてください。それが上達への近道です」 by 手塚治虫

2019-01-11から1日間の記事一覧

bundle 時の SQLite3 のエラーに対処する

bundle コマンドを実行したところ、sqlite3 のところでエラーが出てしまった。 エラーメッセージを見てみる。 メッセージ通りにインストールしてみる。 sudo apt-get install libsqlite3-dev さらにエラーメッセージ通りに gem をインストールしてみる。 gem…

エラー「Can't find the 'libpq-fe.h header」に対処する

エラー発生 gem の pg をインストールしようとしたところ、エラーが発生してしまった。 調べてみる どうやら、Rails で PostgreSQL を使う時によくあるエラーであることがわかった。 参考:ruby on rails - Can't find the 'libpq-fe.h header when trying t…

エラー「cannot load such file -- bundler」「can't find gem bundler」に対処する

参考:ruby - find_spec_for_exe': can't find gem bundler (>= 0.a) (Gem::GemNotFoundException) - Stack Overflow 以下のコマンドを実行することで、bundle コマンドを使えるようになった。 gem update --system

Ubuntu16.04にPostgreSQL 11 をインストールしてみる

参考 How to Install PostgreSQL 11 on Ubuntu 16.04 / 18.04 Servers | Website for Students インストールしてみる wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add - sudo sh -c 'echo "deb http://apt.postgr…

エラー「recipe for target 'rdoc' failed」に対処する

rbenv install 時にエラーとなってしまった。 オプションを設定すれば、エラーを回避できるとのこと。 以下のコマンドを実行する。 RUBY_CONFIGURE_OPTS=--disable-install-doc rbenv install 2.5.1 -v -> 無事インストールできた。 まだ設定ができてないの…

エラー「Unable to locate package libgdbm5」に対処する

Ruby のビルド環境を作ろうと思ったら、エラーになってしまった。 コメント部分を読んでみると、libgdbm5 は OS のバーションによって利用できない場合があるので、その時は libgdbm3 を使ってくださいとのこと。 # Depending on your version of Ubuntu/Deb…

サーバーに Ruby 環境を作ってみる

サーバーに Ruby が入っていなかった。 まずは、ビルド環境を構築する。【参考】 libgdbm5 を使おうと思ったらエラーになったので、libgdbm3 をインストールする。 sudo apt-get install autoconf bison build-essential libssl-dev libyaml-dev libreadline…

Google Cloud Platform のコンソールに移動する

久しぶりに Google Cloud Platform を使ってみる。 コンソールへのアクセスは、以下のリンクをクリックすれば良い。 http://console.cloud.google.com 以前、なにかを作っていた場合はリソースに表示される。 「リソース」のリンクをクリック。ここでは、Com…

Ubuntu の Atom エディタをアップデートしてみる

アップデート方法 .deb パッケージを公式サイトからダウンロードして、インストールすれば良いとのこと。 How to upgrade Atom Editor on Linux? - Stack Overflow アップデートしてみる 私の Atom のバージョンは 1.26.1 とのこと。これを 1.34.0 にアップ…